Show / Hide Table of Contents

# Enum ChannelPermission

Defines the available permissions for a channel.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    [Flags]
    public enum ChannelPermission : ulong

### Fields

Name | Description
--- | ---
AddReactions | Allows for the addition of reactions to messages.
AttachFiles | Allows for uploading images and files.
Connect | Allows for joining of a voice channel.
CreateInstantInvite | Allows creation of instant invites.
DeafenMembers | Allows for deafening of members in a voice channel.
EmbedLinks | Allows links sent by users with this permission will be auto-embedded.
ManageChannels | Allows management and editing of channels.
ManageMessages | Allows for deletion of other users messages.
ManageRoles | Allows management and editing of roles.
ManageWebhooks | Allows management and editing of webhooks.
MentionEveryone | Allows for using the @everyone tag to notify all users in a channel, and the @here tag to notify all online users in a channel.
MoveMembers | Allows for moving of members between voice channels.
MuteMembers | Allows for muting members in a voice channel.
PrioritySpeaker |
ReadMessageHistory | Allows for reading of message history.
ReadMessages | Allows for reading of messages. This flag is obsolete, use ViewChannel instead.
SendMessages | Allows for sending messages in a channel.
SendTTSMessages | Allows for sending of text-to-speech messages.
Speak | Allows for speaking in a voice channel.
Stream | Allows video streaming in a voice channel.
UseExternalEmojis | Allows the usage of custom emojis from other servers.
UseVAD | Allows for using voice-activity-detection in a voice channel.
ViewChannel | Allows guild members to view a channel, which includes reading messages in text channels.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()